import processing.serial.*;
  String result = "0";
  int val = 0;
  ParticleSystem ps; //library particle system
  Serial myPort;
  PImage img;


  void setup() {
    size(400,600); //stage size
    myPort = new Serial(this, "/dev/cu.usbmodem14101", 9600);// variable for the port
    ps = new ParticleSystem(new PVector(width/2, height/2)); //variable for the particle system
    img = loadImage("eye.png");

  }

  void draw() {
    if (myPort.available() > 0 ) {
      result = myPort.readStringUntil('\n');
      println(result);
      if (result != null) {
        result = trim(result);
        val = Integer.parseInt(result);
    }
    }
     
  
    if (val > 380) {
    background(143,0,138);
    smooth();
    image(img,10,10);
    ps.addParticle();
    ps.run();
    textSize(24);
    fill(255);
    text("touching", width/2-40, height/2); 
     }
    else{
    background(143,0,138);
    smooth();
    image(img,10,10);
    textSize(24);
    fill(255);
    text("touch the sensor", width/2-84, height/2); 
      }
    } 

  
  
  
